--- test_occi.py	2011-04-25 15:27:21.000000000 +0200
+++ test_occi_new.py	2011-04-25 15:27:06.000000000 +0200
@@ -156,81 +156,11 @@
             infra_model.append('networkinterface')
         #---------------------------------------------------------------- mixins
         elif cur[0].strip() == 'ipnetwork' and cur[1].strip() == 'scheme="http://schemas.ogf.org/occi/infrastructure/network#"':
-            rel = 'http://schemas.ogf.org/occi/core#link'
+            rel = ''
             attr = ['occi.network.address', 'occi.network.gateway', 'occi.network.allocation']
             actions = []
             check_if_complete(cur, rel, attr, actions)
             infra_model.append('ipnetwork')
-        #--------------------------------------------------------------- actions
-        elif cur[0].strip() == 'start' and cur[1].strip() == 'scheme="http://schemas.ogf.org/occi/infrastructure/compute/action#"':
-            rel = ''
-            attr = []
-            actions = []
-            check_if_complete(cur, rel, attr, actions)
-            infra_model.append('start')
-        elif cur[0].strip() == 'stop' and cur[1].strip() == 'scheme="http://schemas.ogf.org/occi/infrastructure/compute/action#"':
-            rel = ''
-            #attr = ['graceful', 'acpioff', 'poweroff']
-            attr = ['method']
-            actions = []
-            check_if_complete(cur, rel, attr, actions)
-            infra_model.append('stop')
-        elif cur[0].strip() == 'restart' and cur[1].strip() == 'scheme="http://schemas.ogf.org/occi/infrastructure/compute/action#"':
-            rel = ''
-            #attr = ['graceful', 'warm', 'cold']
-            attr = ['method']
-            actions = []
-            check_if_complete(cur, rel, attr, actions)
-            infra_model.append('restart')
-        elif cur[0].strip() == 'suspend' and cur[1].strip() == 'scheme="http://schemas.ogf.org/occi/infrastructure/compute/action#"':
-            rel = ''
-            #attr = ['hibernate', 'suspend']
-            attr = ['method']
-            actions = []
-            check_if_complete(cur, rel, attr, actions)
-            infra_model.append('suspend')
-        elif cur[0].strip() == 'up' and cur[1].strip() == 'scheme="http://schemas.ogf.org/occi/infrastructure/network/action#"':
-            rel = ''
-            attr = []
-            actions = []
-            check_if_complete(cur, rel, attr, actions)
-            infra_model.append('up')
-        elif cur[0].strip() == 'down' and cur[1].strip() == 'scheme="http://schemas.ogf.org/occi/infrastructure/network/action#"':
-            rel = ''
-            attr = []
-            actions = []
-            check_if_complete(cur, rel, attr, actions)
-            infra_model.append('down')
-        elif cur[0].strip() == 'online' and cur[1].strip() == 'scheme="http://schemas.ogf.org/occi/infrastructure/storage/action#"':
-            rel = ''
-            attr = []
-            actions = []
-            check_if_complete(cur, rel, attr, actions)
-            infra_model.append('online')
-        elif cur[0].strip() == 'offline' and cur[1].strip() == 'scheme="http://schemas.ogf.org/occi/infrastructure/storage/action#"':
-            rel = ''
-            attr = []
-            actions = []
-            check_if_complete(cur, rel, attr, actions)
-            infra_model.append('offline')
-        elif cur[0].strip() == 'resize' and cur[1].strip() == 'scheme="http://schemas.ogf.org/occi/infrastructure/storage/action#"':
-            rel = ''
-            attr = ['size']
-            actions = []
-            check_if_complete(cur, rel, attr, actions)
-            infra_model.append('resize')
-        elif cur[0].strip() == 'backup' and cur[1].strip() == 'scheme="http://schemas.ogf.org/occi/infrastructure/storage/action#"':
-            rel = ''
-            attr = []
-            actions = []
-            check_if_complete(cur, rel, attr, actions)
-            infra_model.append('backup')
-        elif cur[0].strip() == 'snapshot' and cur[1].strip() == 'scheme="http://schemas.ogf.org/occi/infrastructure/storage/action#"':
-            rel = ''
-            attr = []
-            actions = []
-            check_if_complete(cur, rel, attr, actions)
-            infra_model.append('snapshot')
 
     if not 'compute' in infra_model:
         raise AttributeError('Missing compute kind.')
@@ -244,28 +174,6 @@
         raise AttributeError('Missing networkinterface link.')
     elif not 'ipnetwork' in infra_model:
         raise AttributeError('Missing ipnetwork mixin.')
-    elif not 'start' in infra_model:
-        raise AttributeError('Missing start action definition.')
-    elif not 'stop' in infra_model:
-        raise AttributeError('Missing stop action definition.')
-    elif not 'restart' in infra_model:
-        raise AttributeError('Missing restart action definition.')
-    elif not 'suspend' in infra_model:
-        raise AttributeError('Missing suspend action definition.')
-    elif not 'up' in infra_model:
-        raise AttributeError('Missing up action definition.')
-    elif not 'down' in infra_model:
-        raise AttributeError('Missing down action definition.')
-    elif not 'snapshot' in infra_model:
-        raise AttributeError('Missing snapshot action definition.')
-    elif not 'resize' in infra_model:
-        raise AttributeError('Missing resize action definition.')
-    elif not 'online' in infra_model:
-        raise AttributeError('Missing online action definition.')
-    elif not 'offline' in infra_model:
-        raise AttributeError('Missing offline action definition.')
-    elif not 'backup' in infra_model:
-        raise AttributeError('Missing backup action definition.')
 
 def test_accept_header(url, heads):
     '''
@@ -298,7 +206,7 @@
 
     # POST
     post_heads = heads.copy()
-    post_heads['Category'] = 'compute;scheme="http://schemas.ogf.org/occi/infrastructure#;class="kind";"'
+    post_heads['Category'] = 'compute;scheme="http://schemas.ogf.org/occi/infrastructure#";class="kind"'
     http = httplib2.Http()
     response, content = http.request(url, 'POST', headers = post_heads)
     if not response['status'] == '200' or response['status'] == '202':
@@ -336,7 +244,7 @@
     heads['Content-Type'] = 'text/occi'
 
     put_heads = heads.copy()
-    put_heads['Category'] = 'my_stuff;scheme="http://example.com/occi#";location=/my_stuff/'
+    put_heads['Category'] = 'my_stuff;scheme="http://example.com/occi#";class="mixin";location=/my_stuff/'
     http = httplib2.Http()
     response, content = http.request(url + '/-/', 'PUT', headers = put_heads)
     if not response['status'] == '200' or response['status'] == '202':
@@ -348,7 +256,7 @@
         raise AttributeError('Unable to find the previously defined mixin in the query interface!')
 
     put_heads = heads.copy()
-    put_heads['Category'] = 'my_stuff;scheme="http://example.com/occi#"'
+    put_heads['Category'] = 'my_stuff;scheme="http://example.com/occi#";class="mixin";'
     http = httplib2.Http()
     response, content = http.request(url + '/-/', 'DELETE', headers = put_heads)
     if not response['status'] == '200' or response['status'] == '202':
@@ -382,7 +290,7 @@
     # now create a link...
     link = heads.copy()
     link['Category'] = 'networkinterface;scheme="http://schemas.ogf.org/occi/infrastructure#"'
-    link['X-OCCI-Attribute'] = 'source=' + compute_loc + ',target=' + network_loc
+    link['X-OCCI-Attribute'] = 'occi.core.source=' + compute_loc + ',occi.core.target=' + network_loc
     http = httplib2.Http()
     response, content = http.request(url, 'POST', headers = link)
     if not response['status'] == '200' or response['status'] == '202':
@@ -437,6 +345,8 @@
     Tests if the filtering mechanisms work.
     '''
 
+    heads['Content-Type'] = 'text/occi'
+
     # POST
     compute_heads = heads.copy()
     compute_heads['Category'] = 'compute;scheme="http://schemas.ogf.org/occi/infrastructure#"'
@@ -490,7 +400,7 @@
     compute_loc = response['location']
 
     put_heads = heads.copy()
-    put_heads['Category'] = 'my_stuff;scheme="http://example.com/occi#";location=/my_stuff/'
+    put_heads['Category'] = 'my_stuff;scheme="http://example.com/occi#";class="mixin";location=/my_stuff/'
     http = httplib2.Http()
     response, content = http.request(url + '/-/', 'PUT', headers = put_heads)
     if not response['status'] == '200' or response['status'] == '202':
@@ -514,7 +424,7 @@
         raise AttributeError('could not delete resource: ' + repr(response) + content)
 
     put_heads = heads.copy()
-    put_heads['Category'] = 'my_stuff;scheme="http://example.com/occi#"'
+    put_heads['Category'] = 'my_stuff;scheme="http://example.com/occi#";class="mixin";'
     http = httplib2.Http()
     response, content = http.request(url + '/-/', 'DELETE', headers = put_heads)
     if not response['status'] == '200' or response['status'] == '202':
